Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -3107,21 +3209,21 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_449
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" GOTO end_if_copy_450
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_464
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" GOTO end_if_copy_465
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_450
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" GOTO end_if_copy_451
+:end_if_copy_465
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" GOTO end_if_copy_466
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_SWIG_Java.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_451
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" GOTO end_if_copy_452
+:end_if_copy_466
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" GOTO end_if_copy_467
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\libOnXLab_SWIG_Java.jnilib.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_452
-:end_if_release_449
+:end_if_copy_467
+:end_if_release_464
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3132,16 +3234,16 @@
 IF NOT DEFINED obuild_OpenPAW_path  ECHO Can't find OpenPAW package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_453
-IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" GOTO end_if_copy_454
+IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OpenPAW_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_468
+IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" GOTO end_if_copy_469
   COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_454
-IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" GOTO end_if_copy_455
+:end_if_copy_469
+IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" GOTO end_if_copy_470
   COPY "%obuild_OpenPAW_path%\%obuild_dir_bin%\OpenPAW.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_455
-:end_if_release_453
+:end_if_copy_470
+:end_if_release_468
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3152,107 +3254,12 @@
 IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_456
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_457
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_471
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" GOTO end_if_copy_472
   COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_457
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_458
+:end_if_copy_472
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" GOTO end_if_copy_473
   COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_458
-:end_if_release_456
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_459
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" GOTO end_if_copy_460
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_460
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" GOTO end_if_copy_461
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_461
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" GOTO end_if_copy_462
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_462
-:end_if_release_459
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_463
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" GOTO end_if_copy_464
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_464
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" GOTO end_if_copy_465
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_465
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" GOTO end_if_copy_466
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_466
-:end_if_release_463
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_467
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" GOTO end_if_copy_468
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_468
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" GOTO end_if_copy_469
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_469
-IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" GOTO end_if_copy_470
-  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_470
-:end_if_release_467
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_471
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" GOTO end_if_copy_472
-  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_472
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" GOTO end_if_copy_473
-  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -3262,4 +3269,79 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_474
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" GOTO end_if_copy_475
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_475
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" GOTO end_if_copy_476
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_476
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" GOTO end_if_copy_477
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_Geant4.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_477
+:end_if_release_474
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_478
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" GOTO end_if_copy_479
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_479
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" GOTO end_if_copy_480
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_480
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" GOTO end_if_copy_481
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config_physics_lists.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_481
+:end_if_release_478
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r0p0`) DO SET obuild_G4Lab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Lab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_482
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" GOTO end_if_copy_483
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_483
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" GOTO end_if_copy_484
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_484
+IF NOT EXIST "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" GOTO end_if_copy_485
+  COPY "%obuild_G4Lab_path%\%obuild_dir_bin%\G4Lab_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_485
+:end_if_release_482
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
 FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
 cd "%obuild_pwd_osc_snovis_1%"
@@ -3267,16 +3349,36 @@
 IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_474
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" GOTO end_if_copy_475
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_486
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" GOTO end_if_copy_487
+  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_487
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" GOTO end_if_copy_488
+  COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleOnX.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_488
+:end_if_release_486
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Simple v2r0p0`) DO SET obuild_G4Simple_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_G4Simple_path  ECHO Can't find G4Simple package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Simple_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_489
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" GOTO end_if_copy_490
   COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_475
-IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" GOTO end_if_copy_476
+:end_if_copy_490
+IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" GOTO end_if_copy_491
   COPY "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_476
-:end_if_release_474
+:end_if_copy_491
+:end_if_release_489
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3287,16 +3389,16 @@
 IF NOT DEFINED obuild_G4Examples_path  ECHO Can't find G4Examples package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_477
-IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" GOTO end_if_copy_478
+IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_G4Examples_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_492
+IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" GOTO end_if_copy_493
   COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_478
-IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" GOTO end_if_copy_479
+:end_if_copy_493
+IF NOT EXIST "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" GOTO end_if_copy_494
   COPY "%obuild_G4Examples_path%\%obuild_dir_bin%\G4Examples.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_479
-:end_if_release_477
+:end_if_copy_494
+:end_if_release_492
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3307,16 +3409,16 @@
 IF NOT DEFINED obuild_snovis_path  ECHO Can't find snovis package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_480
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_481
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_snovis_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_495
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" GOTO end_if_copy_496
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.lib" "%obuild_dir_project%\lib\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_481
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_482
+:end_if_copy_496
+IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" GOTO end_if_copy_497
   COPY "%obuild_snovis_path%\%obuild_dir_bin%\snovis.dll" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_482
-:end_if_release_480
+:end_if_copy_497
+:end_if_release_495
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
@@ -3328,11 +3430,11 @@
 IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_483
-IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" GOTO end_if_copy_484
+IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_498
+IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" GOTO end_if_copy_499
   COPY "%obuild_obuild_path%\%obuild_dir_bin%\owrap.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_484
-:end_if_release_483
+:end_if_copy_499
+:end_if_release_498
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3343,11 +3445,11 @@
 IF NOT DEFINED obuild_obuild_path  ECHO Can't find obuild package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_485
-IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" GOTO end_if_copy_486
+IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_obuild_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_500
+IF NOT EXIST "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" GOTO end_if_copy_501
   COPY "%obuild_obuild_path%\%obuild_dir_bin%\obuild.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_486
-:end_if_release_485
+:end_if_copy_501
+:end_if_release_500
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3358,11 +3460,11 @@
 IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_487
-IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" GOTO end_if_copy_488
+IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_502
+IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" GOTO end_if_copy_503
   COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_488
-:end_if_release_487
+:end_if_copy_503
+:end_if_release_502
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3373,11 +3475,11 @@
 IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_489
-IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" GOTO end_if_copy_490
+IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_zlib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_504
+IF NOT EXIST "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" GOTO end_if_copy_505
   COPY "%obuild_zlib_path%\%obuild_dir_bin%\zlib_minigzip.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_490
-:end_if_release_489
+:end_if_copy_505
+:end_if_release_504
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3388,11 +3490,11 @@
 IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_491
-IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" GOTO end_if_copy_492
+IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_expat_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_506
+IF NOT EXIST "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" GOTO end_if_copy_507
   COPY "%obuild_expat_path%\%obuild_dir_bin%\expat_example.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_492
-:end_if_release_491
+:end_if_copy_507
+:end_if_release_506
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3403,11 +3505,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_493
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" GOTO end_if_copy_494
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_508
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" GOTO end_if_copy_509
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_tab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_494
-:end_if_release_493
+:end_if_copy_509
+:end_if_release_508
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3418,11 +3520,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_495
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" GOTO end_if_copy_496
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_510
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" GOTO end_if_copy_511
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_sizeof.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_496
-:end_if_release_495
+:end_if_copy_511
+:end_if_release_510
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3433,11 +3535,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_497
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" GOTO end_if_copy_498
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_512
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" GOTO end_if_copy_513
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_endian.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_498
-:end_if_release_497
+:end_if_copy_513
+:end_if_release_512
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -3448,11 +3550,11 @@
 IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_499
-IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" GOTO end_if_copy_500
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_Lib_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_514
+IF NOT EXIST "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" GOTO end_if_copy_515
   COPY "%obuild_Lib_path%\%obuild_dir_bin%\Lib_whereami.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_500
-:end_if_release_499
+:end_if_copy_515
+:end_if_release_514
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
